propellor-5.3.3: property-based host configuration management in haskell

Safe Haskell | Safe
Language | Haskell98

Propellor.Types.Empty

# Documentation

class Empty t where Source #

Minimal complete definition

isEmpty

Methods

isEmpty :: t -> Bool Source #

Instances

Empty NamedConfMap Source # |
Methods isEmpty :: NamedConfMap -> Bool Source #
Empty ChrootCfg Source # |
Methods isEmpty :: ChrootCfg -> Bool Source #
Empty ChrootInfo Source # |
Methods isEmpty :: ChrootInfo -> Bool Source #
Empty DockerInfo Source # |
Methods isEmpty :: DockerInfo -> Bool Source #
Empty [a] Source # |
Methods isEmpty :: [a] -> Bool Source #
Empty (Set v) Source # |
Methods isEmpty :: Set v -> Bool Source #
Empty (Map k v) Source # |
Methods isEmpty :: Map k v -> Bool Source #